import { Query, Headers } from '../jumbo';
import { JumboObject } from '../base/jumboObject';
import { OrderModel } from './orderModel';
export declare class Order extends JumboObject {
    /**
     * Gets order from ID
     * @param orderId Order ID
     */
    getMyOrderById(orderId: number, headers?: Headers, query?: Query): Promise<any>;
    /**
     * Returns all the users' orders
     * @param offset Offset (default 0)
     * @param count Amount of orders (default 10)
     */
    getMyOrders(offset?: number, count?: number, headers?: Headers, query?: Query): Promise<OrderModel[]>;
    /**
     * Shortcut function to return latest (first) order
     */
    getMyLatestOrder(headers?: Headers, query?: Query): Promise<OrderModel>;
}
